/***************************************************************************
 *   Copyright (C) 2004 by Reichert Bernard                                *
 *   valen16@trypill.org                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

 //needed includes
 #include <qcolor.h>
 #include <qpixmap.h>
 #include <X11/Xlib.h>
 #include <X11/Xutil.h>
 #include <Imlib2.h>
 class Cross{
	public:
		//position of current crosses
		int m_x1,m_x2,m_y1,m_y2;
		//positions of backed up lines
		int m_x1o,m_x2o,m_y1o,m_y2o;
		bool m_isOne;
		//vertical black line
		QPixmap* m_pi1;
		//horizontal black line
		QPixmap* m_pi2;
		
		//backed up lines for cros one
		QPixmap* m_pi1oa;
		QPixmap* m_pi1ob;
		
		//backed up lines for cros one
		QPixmap* m_pi2ob;
		QPixmap* m_pi2oa;
		
		//color to fill the cross
		QColor m_black;
		
		//creation of a new object
		Cross()
		{
			//ceeate lines with the given sized
			m_pi1 =  new QPixmap(1,390);
			m_pi2 =  new QPixmap(430,1);
			m_pi1oa =  new QPixmap(1,390);
			m_pi2oa =  new QPixmap(430,1);
			m_pi1ob =  new QPixmap(1,390);
			m_pi2ob =  new QPixmap(430,1);
			
			//set initial position
			m_x1=0;m_x2=0;m_y1=0;m_y2=0;
			
			//create color
			m_black.setRgb(0,0,0);
			
			//fill all the lines with black
			m_pi1->fill(m_black);
			m_pi2->fill(m_black);
			m_pi1oa->fill(m_black);
			m_pi2oa->fill(m_black);
			m_pi1ob->fill(m_black);
			m_pi2ob->fill(m_black);
			
			//first cross is drawn first
			m_isOne=true;
		};
		
 };
