/***************************************************************************
 *   Copyright (C) 2004 by Reichert Bernard                                *
 *   valen16@trypill.org                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qapplication.h>

#include "MainDlg.h"

int main(int argc, char **argv)
{
	//Create QT application object for KPhoTools
    	QApplication application( argc, argv );
	//Create Main Dialog Widget (Main Window)
	MainDlg * mainDlg = new MainDlg();
	//Set title
	mainDlg->setCaption( "KPhoTools" );
	//Show window
	mainDlg->show();
	//Connect "lastWindowClosed" Signal with "quit" slot
	application.connect( &application, SIGNAL(lastWindowClosed()), &application, SLOT(quit()) );
	//Run the application and wait until it will be finished
	return application.exec();
}

