/****************************************************************************
** Form interface generated from reading ui file '/home/valen16/documents/dev/kphotools/src/AlbumWid.ui'
**
** Created: Sat Jun 12 17:16:43 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.0   edited Nov 24 13:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef ALBUMWID_H
#define ALBUMWID_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qdir.h>
#include <qfiledialog.h>
#include <vector.h>
#include <qwmatrix.h>
#include <qtabwidget.h>
#include <qcheckbox.h>
#include "FileItem.h"
#include "SizeWid.h"
#include "StyleWid.h"
#include "LogoWid.h"
#include "GalleryThrd.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QGroupBox;
class QPushButton;
class QListBox;
class QListBoxItem;
class QLineEdit;
class QLabel;
class QComboBox;
class QButtonGroup;
class QRadioButton;
class QProgressBar;

class AlbumWid : public QWidget
{
    Q_OBJECT

public:
    AlbumWid( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~AlbumWid();

    QGroupBox* m_grpFiles;
    QPushButton* m_btAddFiles;
    QPushButton* m_btRemove;
    QListBox* m_listFiles;
    QGroupBox* m_grpLocation;
    QLineEdit* m_txCount;
    QLabel* m_labelLocation;
    QPushButton* m_btSelectLocation;
    QLabel* m_labelPattern;
    QLabel* m_labelStartAt;
    QLineEdit* m_txLocation;
    QLabel* m_labelSaveAs;
    QComboBox* m_cbImageType;
    QLineEdit* m_txPattern;
    QGroupBox* m_grpPreview;
    QLabel* m_imgPreview;
    QButtonGroup* m_butgrpRotation;
    QRadioButton* radioRot0;
    QRadioButton* radioRot90;
    QRadioButton* radioRot180;
    QRadioButton* radioRot270;
    QPushButton* m_btConvert;
    QLabel* m_labelProgress;
    QProgressBar* m_ctProgress;

    vector<FileItem*> m_vecFileList;
    QString m_strHomeDir;

    virtual void init();
    virtual void destroy();

public slots:
    virtual void onAddFiles();
    virtual void onRemoveAll();
    virtual void onSetLocation();
    virtual void onRotate( int rotation );
    virtual void onPreviewImage( QListBoxItem * listItem );
    virtual void onCreateAlbum();

protected:

protected slots:
    virtual void languageChange();

private:
    QTabWidget* m_optTab;
    SizeWid* m_sizeWid;
    StyleWid* m_styleWid;
    LogoWid* m_logoWid;
    GalleryThrd* gThread;

    QPixmap image0;

};

#endif // ALBUMWID_H
